

/////////////////////////////////////////////////////////////////////////////////////////////////
// %1 = Victim's name                                                                          //
// %2 = Victim's gender (value will be either "him" or "her")                                  //
// %3 = Victim's possessive gender	(value will be either "his" or "her")                      //
// %4 = Killer's name                                                                          //
// %5 = Killer's gender (value will be either "him" or "her")                                  //
// %6 = Killer's possessive gender (value will be either "his" or "her")                       //
// %7 = implement that killed the victim (value is the object number of the bullet, disc, etc) //
/////////////////////////////////////////////////////////////////////////////////////////////////

$DeathMessageCampingCount = 1;
$DeathMessageCamping[0] = '\c0%1 was killed for camping near the Nexus.';
																						   
 //Out of Bounds deaths
$DeathMessageOOBCount = 1;
$DeathMessageOOB[0] = '\c0%1 was killed for loitering outside the mission area.';

$DeathMessageLavaCount = 4;
$DeathMessageLava[0] = '\c0%1\'s last thought before falling into the lava : \'Oops\'.';
$DeathMessageLava[1] = '\c0%1 wanted to experience death by lava first hand.';
$DeathMessageLava[2] = '\c0%1 forgot to put on %3 Lava Shield before jumping into the red hot lava.';
$DeathMessageLava[3] = '\c0%1 was last heard shouting "death before dishonor!!"';

$DeathMessageLightningCount = 3;
$DeathMessageLightning[0] = '\c0%1 was killed by lightning!';
$DeathMessageLightning[1] = '\c0%1 caught a lightning bolt!';
$DeathMessageLightning[2] = '\c0%1 stuck %3 finger in Mother Nature\'s light socket.';

//these used when a player presses ctrl-k
$DeathMessageSuicideCount = 5;
$DeathMessageSuicide[0] = '\c0%1 shows off %3 mad dying skills!';
$DeathMessageSuicide[1] = '\c0%1 wanted to make sure %3 gun was loaded.';
$DeathMessageSuicide[2] = '\c0%1 was last heard shouting "death before dishonor!!".';
$DeathMessageSuicide[3] = '\c0%1 goes for the not-so quick and dirty respawn.';
$DeathMessageSuicide[4] = '\c0%1 finds out that there isn\'t a reset button in this game, so %1 resets... literally.';

$DeathMessageVehPadCount = 1;
$DeathMessageVehPad[0] = '\c0%1 got caught in a vehicle\'s spawn field.'; 

//these used when a player kills himself (other than by using ctrl - k)
$DeathMessageSelfKillCount = 5;
$DeathMessageSelfKill[$DamageType::Blaster, 0] = '\c0%1 kills %2self with a blaster.';	
$DeathMessageSelfKill[$DamageType::Blaster, 1] = '\c0%1 makes a note to watch out for blaster ricochets.';
$DeathMessageSelfKill[$DamageType::Blaster, 2] = '\c0%1\'s blaster kills its hapless owner.';
$DeathMessageSelfKill[$DamageType::Blaster, 3] = '\c0%1 deftly guns %2self down with %3 own blaster.';
$DeathMessageSelfKill[$DamageType::Blaster, 4] = '\c0%1 has a fatal encounter with %3 own blaster.';

$DeathMessageSelfKill[$DamageType::vBomb, 0] = '\c0%1 kills %2self with a blue blaster.';
$DeathMessageSelfKill[$DamageType::vBomb, 1] = '\c0%1 makes a note to watch out for blue blaster ricochets.';
$DeathMessageSelfKill[$DamageType::vBomb, 2] = '\c0%1\'s blue blaster kills its hapless owner.';
$DeathMessageSelfKill[$DamageType::vBomb, 3] = '\c0%1 deftly guns %2self down with %3 own blue blaster.';
$DeathMessageSelfKill[$DamageType::vBomb, 4] = '\c0%1 has a fatal encounter with %3 own blue blaster.';

$DeathMessageSelfKill[$DamageType::Plasma, 0] = '\c0%1 kills %2self with plasma.';
$DeathMessageSelfKill[$DamageType::Plasma, 1] = '\c0%1 turns %2self into plasma-charred briquettes.';
$DeathMessageSelfKill[$DamageType::Plasma, 2] = '\c0%1 swallows a white-hot mouthful of %3 own plasma.';
$DeathMessageSelfKill[$DamageType::Plasma, 3] = '\c0%1 immolates %2self.';
$DeathMessageSelfKill[$DamageType::Plasma, 4] = '\c0%1 experiences the joy of cooking %2self.';

$DeathMessageSelfKill[$DamageType::Disc, 0] = '\c0%1 kills %2self with a disc.';
$DeathMessageSelfKill[$DamageType::Disc, 1] = '\c0%1 catches %3 own spinfusor disc.';
$DeathMessageSelfKill[$DamageType::Disc, 2] = '\c0%1 heroically falls on %3 own disc.';
$DeathMessageSelfKill[$DamageType::Disc, 3] = '\c0%1 helpfully jumps into %3 own disc\'s explosion.';
$DeathMessageSelfKill[$DamageType::Disc, 4] = '\c0%1 plays Russian roulette with %3 spinfusor.';

$DeathMessageSelfKill[$DamageType::Grenade, 0] = '\c0%1 destroys %2self with a grenade!';   //applies to hand grenades *and* grenade launcher grenades
$DeathMessageSelfKill[$DamageType::Grenade, 1] = '\c0%1 took a bad bounce from %3 own grenade!';
$DeathMessageSelfKill[$DamageType::Grenade, 2] = '\c0%1 pulled the pin a shade early.';
$DeathMessageSelfKill[$DamageType::Grenade, 3] = '\c0%1\'s own grenade turns on %2.';
$DeathMessageSelfKill[$DamageType::Grenade, 4] = '\c0%1 blows %2self up real good.';

$DeathMessageSelfKill[$DamageType::Mortar, 0] = '\c0%1 kills %2self with a mortar!';
$DeathMessageSelfKill[$DamageType::Mortar, 1] = '\c0%1 hugs %3 own big green boomie.';
$DeathMessageSelfKill[$DamageType::Mortar, 2] = '\c0%1 mortars %2self all over the map.';
$DeathMessageSelfKill[$DamageType::Mortar, 3] = '\c0%1 experiences %3 mortar\'s payload up close.';
$DeathMessageSelfKill[$DamageType::Mortar, 4] = '\c0%1 suffered the wrath of %3 own mortar.';

$DeathMessageSelfKill[$DamageType::Missile, 0] = '\c0%1 kills %2self with a missile!';
$DeathMessageSelfKill[$DamageType::Missile, 1] = '\c0%1 runs a missile up %3 own tailpipe.';
$DeathMessageSelfKill[$DamageType::Missile, 2] = '\c0%1 tests the missile\'s shaped charge on %2self.';
$DeathMessageSelfKill[$DamageType::Missile, 3] = '\c0%1 achieved missile lock on %2self.';
$DeathMessageSelfKill[$DamageType::Missile, 4] = '\c0%1 gracefully smoked %2self with a missile!';

$DeathMessageSelfKill[$DamageType::Mine, 0] = '\c0%1 kills %2self with a mine!';
$DeathMessageSelfKill[$DamageType::Mine, 1] = '\c0%1\'s mine violently reminds %2 of its existence.';
$DeathMessageSelfKill[$DamageType::Mine, 2] = '\c0%1 plants a decisive foot on %3 own mine!';
$DeathMessageSelfKill[$DamageType::Mine, 3] = '\c0%1 fatally trips on %3 own mine!';
$DeathMessageSelfKill[$DamageType::Mine, 4] = '\c0%1 makes a note not to run over %3 own mines.';

$DeathMessageSelfKill[$DamageType::SatchelCharge, 0] = '\c0%1 goes out with a bang!';  //applies to most explosion types
$DeathMessageSelfKill[$DamageType::SatchelCharge, 1] = '\c0%1 blows %2self into tiny bits and pieces.';
$DeathMessageSelfKill[$DamageType::SatchelCharge, 2] = '\c0%1 explodes in that fatal kind of way.';
$DeathMessageSelfKill[$DamageType::SatchelCharge, 3] = '\c0%1 experiences explosive decompression!';
$DeathMessageSelfKill[$DamageType::SatchelCharge, 4] = '\c0%1 splashes all over the map.';

$DeathMessageSelfKill[$DamageType::Ground, 0] = '\c0%1 forgot to tie %3 bungie cord.';
$DeathMessageSelfKill[$DamageType::Ground, 1] = '\c0%1 finds gravity unforgiving.';
$DeathMessageSelfKill[$DamageType::Ground, 2] = '\c0%1 craters on impact.';
$DeathMessageSelfKill[$DamageType::Ground, 3] = '\c0%1 makes quite an impact upon the ground.';
$DeathMessageSelfKill[$DamageType::Ground, 4] = '\c0%1 loses a game of chicken with the ground.';

$DeathMessageSelfKill[$DamageType::MB, 0] = '\c0%1 lets %3 Mitzi Blast eat %2 alive.';
$DeathMessageSelfKill[$DamageType::MB, 1] = '\c0%1 was bit by %3 own Mitzi blast.';
$DeathMessageSelfKill[$DamageType::MB, 2] = '\c0%1 vaporizes %2self.';
$DeathMessageSelfKill[$DamageType::MB, 3] = '\c0%1\'s own Mitzi ran %2 down.';
$DeathMessageSelfKill[$DamageType::MB, 4] = '\c0%1 could not dodge the Mitzi Blast in time.';

$DeathMessageSelfKill[$DamageType::Phaser, 0] = '\c0%1 experiences Phaser decompression.';
$DeathMessageSelfKill[$DamageType::Phaser, 1] = '\c0%1 gets lit up by %3 own Phaser-Compressed blast.';
$DeathMessageSelfKill[$DamageType::Phaser, 2] = '\c0%1 melts by his own Phaser.';
$DeathMessageSelfKill[$DamageType::Phaser, 3] = '\c0%1 gets lit up by %3 own Phaser-Compressed blast.';
$DeathMessageSelfKill[$DamageType::Phaser, 4] = '\c0%1 does not allow the Borg to assimilate %2; thus avoiding the stupid T-Shirt!.';

$DeathMessageSelfKill[$DamageType::PWT, 0] = '\c0%1 smacks himself with a Pulse Wave Torpedo.';
$DeathMessageSelfKill[$DamageType::PWT, 1] = '\c0%1 is caught in the radius of %2 torpedo.';
$DeathMessageSelfKill[$DamageType::PWT, 2] = '\c0%1\'s Pulse Wave Torpedo turns on %2.';
$DeathMessageSelfKill[$DamageType::PWT, 3] = '\c0%1 is hit by %3 own ghetto depth charge.';
$DeathMessageSelfKill[$DamageType::PWT, 4] = '\c0%1 turned %2self to shrimp food.';

$DeathMessageSelfKill[$DamageType::Ripper, 0] = '\c0%1 slices %2self with %3 own Ripper disc!';
$DeathMessageSelfKill[$DamageType::Ripper, 1] = '\c0%1 learns not to play chicken with sharp objects.';
$DeathMessageSelfKill[$DamageType::Ripper, 2] = '\c0%1 took a bad bounce from %3 Ripper disc.';
$DeathMessageSelfKill[$DamageType::Ripper, 3] = '\c0%1 kills %2self with a Ripper.';
$DeathMessageSelfKill[$DamageType::Ripper, 4] = '\c0%1 kills %2self with a Ripper.';

$DeathMessageSelfKill[$DamageType::Sonic, 0] = '\c0%1 reverberates into tiny pieces.';
$DeathMessageSelfKill[$DamageType::Sonic, 1] = '\c0%1 blew %3 own brain by the loud noise.';
$DeathMessageSelfKill[$DamageType::Sonic, 2] = '\c0%1 learns that sound can be painful.';
$DeathMessageSelfKill[$DamageType::Sonic, 3] = '\c0%1 should have turned the bass down.';
$DeathMessageSelfKill[$DamageType::Sonic, 4] = '\c0%1 is stupid enough to die because of %3 own sound!';

$DeathMessageSelfKill[$DamageType::Gauss, 0] = '\c0%1 blows %2self to pieces with %3 gauss-mode chaingun.';
$DeathMessageSelfKill[$DamageType::Gauss, 1] = '\c0%1 blew %3 own brain by gauss bullets.';
$DeathMessageSelfKill[$DamageType::Gauss, 2] = '\c0%1 learns that gauss can hurt.';
$DeathMessageSelfKill[$DamageType::Gauss, 3] = '\c0%1 got too close to %3 gauss explosion.';
$DeathMessageSelfKill[$DamageType::Gauss, 4] = '\c0%1 blew %3 own brain by gauss bullets.';

$DeathMessageSelfKill[$DamageType::Annihalator, 0] = '\c0%1 nukes %2self with %3 Annihalator.';
$DeathMessageSelfKill[$DamageType::Annihalator, 1] = '\c0%1 is broken down into %3 component atoms by a nearby Annihalator.';
$DeathMessageSelfKill[$DamageType::Annihalator, 2] = '\c0%1 used the force on %2self.';
$DeathMessageSelfKill[$DamageType::Annihalator, 3] = '\c0%1 nukes %2self with %3 Annihalator.';
$DeathMessageSelfKill[$DamageType::Annihalator, 4] = '\c0%1 is broken down into %3 component atoms by %3 own Annihalator!';

$DeathMessageSelfKill[$DamageType::PlasmaCannon, 0] = '\c0%1 kills %2self with a plasma cannon.';
$DeathMessageSelfKill[$DamageType::PlasmaCannon, 1] = '\c0%1 turns %2self into plasma-charred briquettes.';
$DeathMessageSelfKill[$DamageType::PlasmaCannon, 2] = '\c0%1 swallows a white-hot mouthful of %3 own plasma.';
$DeathMessageSelfKill[$DamageType::PlasmaCannon, 3] = '\c0%1 immolates %2self.';
$DeathMessageSelfKill[$DamageType::PlasmaCannon, 4] = '\c0%1 experiences the joy of cooking %2self.';

$DeathMessageSelfKill[$DamageType::vPlasma, 0] = '\c0%1 kills %2self with a plasma cannon.';
$DeathMessageSelfKill[$DamageType::vPlasma, 1] = '\c0%1 turns %2self into plasma-charred briquettes.';
$DeathMessageSelfKill[$DamageType::vPlasma, 2] = '\c0%1 swallows a white-hot mouthful of %3 own plasma.';
$DeathMessageSelfKill[$DamageType::vPlasma, 3] = '\c0%1 immolates %2self.';
$DeathMessageSelfKill[$DamageType::vPlasma, 4] = '\c0%1 experiences the joy of cooking %2self.';

$DeathMessageSelfKill[$DamageType::ShrikeBlaster, 0] = '\c0%1 lunches on %3 own Ecstacy sandwich.';
$DeathMessageSelfKill[$DamageType::ShrikeBlaster, 1] = '\c0%1 was caught in %3 Ecstacy blast radius.';
$DeathMessageSelfKill[$DamageType::ShrikeBlaster, 2] = '\c0%1 gets drilled big-time by %3 own Ecstacy.';
$DeathMessageSelfKill[$DamageType::ShrikeBlaster, 3] = '\c0%1 lunches on %3 own Ecstacy sandwich.';
$DeathMessageSelfKill[$DamageType::ShrikeBlaster, 4] = '\c0%1 was caught in %3 Ecstacy blast radius.';

$DeathMessageSelfKill[$DamageType::BellyTurret, 0] = '\c0%1 shows off %3 mad dying skills!';
$DeathMessageSelfKill[$DamageType::BellyTurret, 1] = '\c0%1 wanted to make sure %3 gun was loaded.';
$DeathMessageSelfKill[$DamageType::BellyTurret, 2] = '\c0%1 was last heard shouting "death before dishonor!!".';
$DeathMessageSelfKill[$DamageType::BellyTurret, 3] = '\c0%1 wanted to make sure %3 gun was loaded.';
$DeathMessageSelfKill[$DamageType::BellyTurret, 4] = '\c0%1 was last heard shouting "death before dishonor!!".';

//used when a player is killed by a teammate 
$DeathMessageTeamKillCount = 1;	
$DeathMessageTeamKill[$DamageType::Blaster, 0] = '\c0%4 TEAMKILLED %1 with a blaster!';
$DeathMessageTeamKill[$DamageType::vBomb, 0] = '\c0%4 TEAMKILLED %1 with a blue blaster!';
$DeathMessageTeamKill[$DamageType::Plasma, 0] = '\c0%4 TEAMKILLED %1 with a plasma rifle!';
$DeathMessageTeamKill[$DamageType::Bullet, 0] = '\c0%4 TEAMKILLED %1 with a chaingun!';
$DeathMessageTeamKill[$DamageType::Disc, 0] = '\c0%4 TEAMKILLED %1 with a spinfusor!';
$DeathMessageTeamKill[$DamageType::Grenade, 0] = '\c0%4 TEAMKILLED %1 with a grenade!';
$DeathMessageTeamKill[$DamageType::Laser, 0] = '\c0%4 TEAMKILLED %1 with a laser rifle!';
$DeathMessageTeamKill[$DamageType::Elf, 0] = '\c0%4 TEAMKILLED %1 with an ELF projector!';
$DeathMessageTeamKill[$DamageType::Mortar, 0] = '\c0%4 TEAMKILLED %1 with a mortar!';
$DeathMessageTeamKill[$DamageType::Missile, 0] = '\c0%4 TEAMKILLED %1 with a missile!';
$DeathMessageTeamKill[$DamageType::Shocklance, 0] = '\c0%4 TEAMKILLED %1 with a shocklance!';
$DeathMessageTeamKill[$DamageType::Mine, 0] = '\c0%4 TEAMKILLED %1 with a mine!';
$DeathMessageTeamKill[$DamageType::SatchelCharge, 0] = '\c0%4 blew up TEAMMATE %1!';
$DeathMessageTeamKill[$DamageType::Impact, 0] = '\c0%4 runs down TEAMMATE %1!';

$DeathMessageTeamKill[$DamageType::MB, 0] = '\c0%4 TEAMKILLED %1 with a Mitzi Blast Cannon!';
$DeathMessageTeamKill[$DamageType::PBW, 0] = '\c0%4 TEAMKILLED %1 with a PBW!';
$DeathMessageTeamKill[$DamageType::Phaser, 0] = '\c0%4 TEAMKILLED %1 with a Phaser Compression Rifle!';
$DeathMessageTeamKill[$DamageType::Sniper, 0] = '\c0%4 TEAMKILLED %1 with a Sniper Rifle!';
$DeathMessageTeamKill[$DamageType::Railgun, 0] = '\c0%4 TEAMKILLED %1 with a Railgun!';
$DeathMessageTeamKill[$DamageType::PWT, 0] = '\c0%4 TEAMKILLED %1 with a PWT Launcher!';
$DeathMessageTeamKill[$DamageType::Ripper, 0] = '\c0%4 TEAMKILLED %1 with a Ripper!';
$DeathMessageTeamKill[$DamageType::Solenoid, 0] = '\c0%4 TEAMKILLED %1 with a Solenoid Pistol!';
$DeathMessageTeamKill[$DamageType::Sonic, 0] = '\c0%4 TEAMKILLED %1 with a Sonic Pistol!';
$DeathMessageTeamKill[$DamageType::Gauss, 0] = '\c0%4 TEAMKILLED %1 with a Gauss Bolt!';
$DeathMessageTeamKill[$DamageType::Annihalator, 0] = '\c0%4 TEAMKILLED %1 with an Annihalator!';
$DeathMessageTeamKill[$DamageType::PlasmaCannon, 0] = '\c0%4 TEAMKILLED %1 with a Plasma Cannon Blast!';
$DeathMessageTeamKill[$DamageType::Burn, 0] = '\c0%4 TEAMKILLED %1 with a Fire!';
$DeathMessageTeamKill[$DamageType::Poison, 0] = '\c0%4 TEAMKILLED %1 with a Poison Dose!';
$DeathMessageTeamKill[$DamageType::BellyTurret, 0] = '\c0%4 TEAMKILLED %1 by a pulse blast.';

//these used when a player is killed by an enemy
$DeathMessageCount = 5;
$DeathMessage[$DamageType::Blaster, 0] = '\c0%4 kills %1 with a blaster.';
$DeathMessage[$DamageType::Blaster, 1] = '\c0%4 pings %1 to death.';
$DeathMessage[$DamageType::Blaster, 2] = '\c0%1 gets a pointer in blaster use from %4.';
$DeathMessage[$DamageType::Blaster, 3] = '\c0%4 fatally embarrasses %1 with %6 pea shooter.';
$DeathMessage[$DamageType::Blaster, 4] = '\c0%4 unleashes a terminal blaster barrage into %1.';

$DeathMessage[$DamageType::vBomb, 0] = '\c0%4 kills %1 with a blue blaster.';
$DeathMessage[$DamageType::vBomb, 1] = '\c0%1 figured out what the blue blaster\'s secret was.. personally.';
$DeathMessage[$DamageType::vBomb, 2] = '\c0%1 gets a pointer in blue blaster use from %4.';
$DeathMessage[$DamageType::vBomb, 3] = '\c0%4 fatally embarrasses %1 with %6 pea shooter.';
$DeathMessage[$DamageType::vBomb, 4] = '\c0%4 unleashes a terminal blue blaster barrage into %1.';

$DeathMessage[$DamageType::Plasma, 0] = '\c0%4 roasts %1 with the plasma rifle.';
$DeathMessage[$DamageType::Plasma, 1] = '\c0%4 asks %1: "Need a light?"';
$DeathMessage[$DamageType::Plasma, 2] = '\c0%4 entices %1 to try a faceful of plasma.';
$DeathMessage[$DamageType::Plasma, 3] = '\c0%4 introduces %1 to the plasma immolation dance.';
$DeathMessage[$DamageType::Plasma, 4] = '\c0%4 slaps The Hot Kiss of Death on %1.';

$DeathMessage[$DamageType::Bullet, 0] = '\c0%4 rips %1 up with the chaingun.';
$DeathMessage[$DamageType::Bullet, 1] = '\c0%4 happily chews %1 into pieces with %6 chaingun.';
$DeathMessage[$DamageType::Bullet, 2] = '\c0%4 administers a dose of Vitamin Lead to %1.';
$DeathMessage[$DamageType::Bullet, 3] = '\c0%1 suffers a serious hosing from %4\'s chaingun.';
$DeathMessage[$DamageType::Bullet, 4] = '\c0%4 bestows the blessings of %6 chaingun on %1.';

$DeathMessage[$DamageType::Disc, 0] = '\c0%4 demolishes %1 with the spinfusor.';
$DeathMessage[$DamageType::Disc, 1] = '\c0%4 serves %1 a blue plate special.';
$DeathMessage[$DamageType::Disc, 2] = '\c0%4 shares a little blue friend with %1.';
$DeathMessage[$DamageType::Disc, 3] = '\c0%4 puts a little spin into %1.';
$DeathMessage[$DamageType::Disc, 4] = '\c0%1 becomes one of %4\'s greatest hits.';

$DeathMessage[$DamageType::Grenade, 0] = '\c0%4 eliminates %1 with a grenade.';   //applies to hand grenades *and* grenade launcher grenades
$DeathMessage[$DamageType::Grenade, 1] = '\c0%4 blows up %1 real good!';
$DeathMessage[$DamageType::Grenade, 2] = '\c0%1 gets annihilated by %4\'s grenade.';
$DeathMessage[$DamageType::Grenade, 3] = '\c0%1 receives a kaboom lesson from %4.';
$DeathMessage[$DamageType::Grenade, 4] = '\c0%4 turns %1 into grenade salad.'; 

$DeathMessage[$DamageType::Laser, 0] = '\c0%1 becomes %4\'s latest pincushion.';
$DeathMessage[$DamageType::Laser, 1] = '\c0%4 picks off %1 with %6 laser rifle.';
$DeathMessage[$DamageType::Laser, 2] = '\c0%4 uses %1 as the targeting dummy in a sniping demonstration.';						
$DeathMessage[$DamageType::Laser, 3] = '\c0%1 finally realized what that red dot was.';
$DeathMessage[$DamageType::Laser, 4] = '\c0%4 Lightly Amplifies %1\'s Stimulated Emission of Radiation.';

$DeathMessage[$DamageType::Elf, 0] = '\c0%4 fries %1 with the ELF projector.';
$DeathMessage[$DamageType::Elf, 1] = '\c0%4 bug zaps %1 with %6 ELF.';
$DeathMessage[$DamageType::Elf, 2] = '\c0%1 learns the shocking truth about %4\'s ELF skills.';
$DeathMessage[$DamageType::Elf, 3] = '\c0%4 electrocutes %1 without a sponge.';
$DeathMessage[$DamageType::Elf, 4] = '\c0%4\'s ELF projector leaves %1 a crispy critter.';

$DeathMessage[$DamageType::Mortar, 0] = '\c0%4 obliterates %1 with the mortar.';
$DeathMessage[$DamageType::Mortar, 1] = '\c0%4 drops a mortar round right in %1\'s lap.';
$DeathMessage[$DamageType::Mortar, 2] = '\c0%4 delivers a mortar payload straight to %1.';
$DeathMessage[$DamageType::Mortar, 3] = '\c0%4 offers a little "heavy love" to %1.';
$DeathMessage[$DamageType::Mortar, 4] = '\c0%1 stumbles into %4\'s mortar reticle.';

$DeathMessage[$DamageType::Missile, 0] = '\c0%4 intercepts %1 with a missile.';
$DeathMessage[$DamageType::Missile, 1] = '\c0%4 watches %6 missile touch %1 and go boom.';
$DeathMessage[$DamageType::Missile, 2] = '\c0%1 rides %4\'s rocket.';
$DeathMessage[$DamageType::Missile, 3] = '\c0%1 gets buttraped by %4\'s missile.';
$DeathMessage[$DamageType::Missile, 4] = '\c0%4\'s missile rains little pieces of %1 all over the ground.';

$DeathMessage[$DamageType::Shocklance, 0] = '\c0%4 reaps a harvest of %1 with the shocklance.';
$DeathMessage[$DamageType::Shocklance, 1] = '\c0%4 feeds %1 the business end of %6 shocklance.';
$DeathMessage[$DamageType::Shocklance, 2] = '\c0%4 stops %1 dead with the shocklance.';
$DeathMessage[$DamageType::Shocklance, 3] = '\c0%4 eliminates %1 in close combat.';
$DeathMessage[$DamageType::Shocklance, 4] = '\c0%4 ruins %1\'s day with one zap of a shocklance.';

$DeathMessage[$DamageType::Mine, 0] = '\c0%4 reminds %1 that a mine is a terrible thing to waste.';
$DeathMessage[$DamageType::Mine, 1] = '\c0%1 doesn\'t see %4\'s mine in time.';
$DeathMessage[$DamageType::Mine, 2] = '\c0%4 gives %1 a piece of %6 mine.';
$DeathMessage[$DamageType::Mine, 3] = '\c0%1 puts his foot on %4\'s mine.';
$DeathMessage[$DamageType::Mine, 4] = '\c0%1 stepped on a toe-popper.';

$DeathMessage[$DamageType::SatchelCharge, 0] = '\c0%4 buys %1 a ticket to the moon.';  //satchel charge only
$DeathMessage[$DamageType::SatchelCharge, 1] = '\c0%4 blows %1 into tiny bits.';
$DeathMessage[$DamageType::SatchelCharge, 2] = '\c0%4 makes %1 a hugely explosive offer.';
$DeathMessage[$DamageType::SatchelCharge, 3] = '\c0%4 turns %1 into a cloud of satchel-vaporized armor.';
$DeathMessage[$DamageType::SatchelCharge, 4] = '\c0%4\'s satchel charge leaves %1 nothin\' but smokin\' boots.';

$DeathMessageHeadshotCount = 3;
$DeathMessageHeadshot[$DamageType::Laser, 0] = '\c0%4 drills right through %1\'s braincase with %6 laser.';
$DeathMessageHeadshot[$DamageType::Laser, 1] = '\c0%4 pops %1\'s head like a cheap balloon.';
$DeathMessageHeadshot[$DamageType::Laser, 2] = '\c0%1 loses %3 head over %4\'s laser skill.';

// MD Damagetypes
$DeathMessage[$DamageType::MB, 0] = '\c0%1 is the victim of %4\'s Mitzi Blast.';
$DeathMessage[$DamageType::MB, 1] = '\c0%4 shows the true power of a little doggie.';
$DeathMessage[$DamageType::MB, 2] = '\c0%4 stops %1 dead with the Mitzi Blast Cannon.';
$DeathMessage[$DamageType::MB, 3] = '\c0%4 says to %1: "Mitzi. Kills bugs dead."!';
$DeathMessage[$DamageType::MB, 4] = '\c0%4 gives %1 "the hurting".';

$DeathMessage[$DamageType::PBW, 0] = '\c0%4 gives %1 the Smackdown with %3 PBW.';
$DeathMessage[$DamageType::PBW, 1] = '\c0%4 punches that fatal hole through %1.';
$DeathMessage[$DamageType::PBW, 2] = '\c0%4 allows %1 some breathing room.';
$DeathMessage[$DamageType::PBW, 3] = '\c0%4 blasts %1 to tiny bits.';
$DeathMessage[$DamageType::PBW, 4] = '\c0%4 makes %1\'s day with a zap of %6 PBW.';

$DeathMessage[$DamageType::Phaser, 0] = '\c0%4 melts %1 with %6 Phaser Compression Rifle.';
$DeathMessage[$DamageType::Phaser, 1] = '\c0%4 says to %1: "You zigged when you should have zagged".';
$DeathMessage[$DamageType::Phaser, 2] = '\c0%1 is the victim of a high-intensity phaser blast.';
$DeathMessage[$DamageType::Phaser, 3] = '\c0%1 catches a few sparks.';
$DeathMessage[$DamageType::Phaser, 4] = '\c0%4 blasts %1 with %6 Phaser Compression Rifle.';

$DeathMessage[$DamageType::Sniper, 0] = '\c0%1 never saw it coming from %4.';
$DeathMessage[$DamageType::Sniper, 1] = '\c0%4 gives %1 a shot right between the eyes.';
$DeathMessage[$DamageType::Sniper, 2] = '\c0%4 stops %1 dead with the 30.06 Sniper Rifle.';
$DeathMessage[$DamageType::Sniper, 3] = '\c0%4 takes a pot shot at %1.';
$DeathMessage[$DamageType::Sniper, 4] = '\c0%4 picks off %1 from afar.';

$DeathMessage[$DamageType::vRocket, 0] = '\c0%1 dies with green flesh open.';
$DeathMessage[$DamageType::vRocket, 1] = '\c0%4 gives %1 a shot right between the eyes.';
$DeathMessage[$DamageType::vRocket, 2] = '\c0%4 heard "USE THE REPAIR KIT!" from far off.';
$DeathMessage[$DamageType::vRocket, 3] = '\c0%4 takes a pot shot at %1.';
$DeathMessage[$DamageType::vRocket, 4] = '\c0%4 poisons %1.';

$DeathMessage[$DamageType::Railgun, 0] = '\c0%1 shows %4 how effective an underwater Sniper can be.';
$DeathMessage[$DamageType::Railgun, 1] = '\c0%4 feeds %1 a rail.';
$DeathMessage[$DamageType::Railgun, 2] = '\c0%4 blows %1\'s chest out with the Railgun.';
$DeathMessage[$DamageType::Railgun, 3] = '\c0%4 eliminates %1 in an underwater sniper duel.';
$DeathMessage[$DamageType::Railgun, 4] = '\c0%4 administers acupuncture on %1.';

$DeathMessage[$DamageType::PWT, 0] = '\c0%4 blows %1 to pieces using %6 PWT Launcher.';
$DeathMessage[$DamageType::PWT, 1] = '\c0%4 turns %1 into shrinp food.';
$DeathMessage[$DamageType::PWT, 2] = '\c0%1 didn\'t see that last PWT from %4.';
$DeathMessage[$DamageType::PWT, 3] = '\c0%4 eliminates %1 with a PWT.';
$DeathMessage[$DamageType::PWT, 4] = '\c0%1 is blown to tiny bits with a holy PWT.';

$DeathMessage[$DamageType::Ripper, 0] = '\c0%4 gets sliced up with %1\'s ripper.';
$DeathMessage[$DamageType::Ripper, 1] = '\c0%4 feeds %1 the business end of %6\'s Ripper.';
$DeathMessage[$DamageType::Ripper, 2] = '\c0%4\'s Ripper chops %1 in half.';
$DeathMessage[$DamageType::Ripper, 3] = '\c0%4 eliminates %1 in close combat.';
$DeathMessage[$DamageType::Ripper, 4] = '\c0%1 played dodgeball with a Ripper Disc... and lost.';

$DeathMessage[$DamageType::Solenoid, 0] = '\c0%4 pelts %1 with a Solenoid Blob.';
$DeathMessage[$DamageType::Solenoid, 1] = '\c0%4 feeds %1 an excessive amount of Solenoid.';
$DeathMessage[$DamageType::Solenoid, 2] = '\c0%1 is the victim of deadly Solenoid.';
$DeathMessage[$DamageType::Solenoid, 3] = '\c0%1 never knew that %4\'s Solenoid Pistol could hurt so much.';
$DeathMessage[$DamageType::Solenoid, 4] = '\c0%4 smacks %1 with a loving Solenoid blob.';

$DeathMessage[$DamageType::Sonic, 0] = '\c0%4 phases %1 out of existence.';
$DeathMessage[$DamageType::Sonic, 1] = '\c0%1 is turned to shrimp food by %4.';
$DeathMessage[$DamageType::Sonic, 2] = '\c0%4 shows %1 how powerful sound can be.';
$DeathMessage[$DamageType::Sonic, 3] = '\c0%4\'s lould noisemaker blows %1 away.';
$DeathMessage[$DamageType::Sonic, 4] = '\c0%1 was reverberated out of existance by %4.';

$DeathMessage[$DamageType::PlasmaCannon, 0] = '\c0%4 roasts %1 with the plasma cannon.';
$DeathMessage[$DamageType::PlasmaCannon, 1] = '\c0%4 asks %1: "Need a light?"';
$DeathMessage[$DamageType::PlasmaCannon, 2] = '\c0%4 entices %1 to try a faceful of plasma.';
$DeathMessage[$DamageType::PlasmaCannon, 3] = '\c0%4 introduces %1 to the plasma immolation dance.';
$DeathMessage[$DamageType::PlasmaCannon, 4] = '\c0%4 slaps The Hot Kiss of Death on %1.';

$DeathMessage[$DamageType::Gauss, 0] = '\c0%4 shreds %1 up with the gauss.';
$DeathMessage[$DamageType::Gauss, 1] = '\c0%4 happily blows %1 into pieces with %6 gauss.';
$DeathMessage[$DamageType::Gauss, 2] = '\c0%4 happily blows %1 into pieces with %6 gauss.';
$DeathMessage[$DamageType::Gauss, 3] = '\c0%1 suffers a serious hosing from %4\'s gauss.';
$DeathMessage[$DamageType::Gauss, 4] = '\c0%4 shreds %1 up with the gauss.';

$DeathMessage[$DamageType::Annihalator, 0] = '\c0%4 nukes %1 with %6 Annihalator.';
$DeathMessage[$DamageType::Annihalator, 1] = '\c0%1 is broken down into %3 component atoms by %4\'s nearby Annihalator.';
$DeathMessage[$DamageType::Annihalator, 2] = '\c0%4 used the force on %1.';
$DeathMessage[$DamageType::Annihalator, 3] = '\c0%4 nukes %1 with %6 Annihalator.';
$DeathMessage[$DamageType::Annihalator, 4] = '\c0%1 is broken down into %6 component atoms by %4\'s nearby Annihalator!';

$DeathMessage[$DamageType::vPhaser, 0] = '\c0%4 melts %1 with %6 Phaser Compression Rifle.';
$DeathMessage[$DamageType::vPhaser, 1] = '\c0%4 says to %1: "You zigged when you should have zagged".';
$DeathMessage[$DamageType::vPhaser, 2] = '\c0%1 is the victim of a high-intensity phaser blast.';
$DeathMessage[$DamageType::vPhaser, 3] = '\c0%4 says to %1: "You zigged when you should have zagged".';
$DeathMessage[$DamageType::vPhaser, 4] = '\c0%1 is the victim of a high-intensity phaser blast.';

$DeathMessage[$DamageType::TankMortars, 0] = '\c0Whoops! %1 + %4\'s tank mortar = Dead %1.';
$DeathMessage[$DamageType::TankMortars, 1] = '\c0%1 learns the happy explosion dance from %4\'s tank mortar.';
$DeathMessage[$DamageType::TankMortars, 2] = '\c0%4\'s tank mortar has a blast with %1.';
$DeathMessage[$DamageType::TankMortars, 3] = '\c0%1 learns the happy explosion dance from %4\'s tank mortar.';
$DeathMessage[$DamageType::TankMortars, 4] = '\c0%4\'s tank mortar has a blast with %1.';

$DeathMessage[$DamageType::TankMortar, 0] = '\c0Whoops! %1 + %4\'s tank mortar = Dead %1.';
$DeathMessage[$DamageType::TankMortar, 1] = '\c0%1 learns the happy explosion dance from %4\'s tank mortar.';
$DeathMessage[$DamageType::TankMortar, 2] = '\c0%4\'s tank mortar has a blast with %1.';
$DeathMessage[$DamageType::TankMortar, 3] = '\c0%1 learns the happy explosion dance from %4\'s tank mortar.';
$DeathMessage[$DamageType::TankMortar, 4] = '\c0%4\'s tank mortar has a blast with %1.';

$DeathMessage[$DamageType::ShrikeBlaster, 0] = '\c0%1 lunches on a Ecstacy sandwich, courtesy of %4.';
$DeathMessage[$DamageType::ShrikeBlaster, 1] = '\c0%4\'s Ecstacy barrage blaster catches %1 with %3 pants down.';
$DeathMessage[$DamageType::ShrikeBlaster, 2] = '\c0%1 gets drilled big-time by %4\'s Ecstacy.';
$DeathMessage[$DamageType::ShrikeBlaster, 3] = '\c0%1 lunches on a Ecstacy sandwich, courtesy of %4.';
$DeathMessage[$DamageType::ShrikeBlaster, 4] = '\c0%4\'s Ecstacy barrage blaster catches %1 with %3 pants down.';

$DeathMessage[$DamageType::BellyTurret, 0] = '\c0%1 eats a big helping of %4\'s pulse bolt.';
$DeathMessage[$DamageType::BellyTurret, 1] = '\c0%4 plants a pulse bolt in %1\'s belly.';
$DeathMessage[$DamageType::BellyTurret, 2] = '\c0%1 fails to evade %4\'s deft pulse cannon barrage.';
$DeathMessage[$DamageType::BellyTurret, 3] = '\c0%1 eats a big helping of %4\'s pulse bolt.';
$DeathMessage[$DamageType::BellyTurret, 4] = '\c0%4 plants a pulse bolt in %1\'s belly.';

//These used when a player is run over by a vehicle
$DeathMessageVehicleCount = 5;
$DeathMessageVehicle[0] = '\c0%4 says to %1: "Hey! You scratched my paint job!".';
$DeathMessageVehicle[1] = '\c0%1 acquires that run-down feeling from %4.';
$DeathMessageVehicle[2] = '\c0%4 shows %1 %6 new ride.';
$DeathMessageVehicle[3] = '\c0%1 makes a painfully close examination of %4\'s front bumper.';
$DeathMessageVehicle[4] = '\c0%1\'s messy death leaves a mark on %4\'s vehicle finish.';

$DeathMessageVehicleUnmannedCount = 3;
$DeathMessageVehicleUnmanned[0] = '\c0%1 gets in the way of a runaway vehicle.';
$DeathMessageVehicleUnmanned[1] = '\c0%1 is the victim of roadrage.';
$DeathMessageVehicleUnmanned[2] = '\c0%1 is struck down by a suicide run vehicle.';

//These used when a player is killed by a nearby equipment explosion
$DeathMessageExplosionCount = 3;
$DeathMessageExplosion[0] = '\c0%1 jumped face first into an explosion!';
$DeathMessageExplosion[1] = '\c0%1 stood a little too close to the action!';
$DeathMessageExplosion[2] = '\c0%1\'s last thought: "nnNNNOOOOOO!!!"';

//These used when an automated turret kills an  enemy player
$DeathMessageTurretKillCount = 3;
$DeathMessageTurretKill[$DamageType::PlasmaTurret, 0] = '\c0%1 is killed by a plasma turret.';
$DeathMessageTurretKill[$DamageType::PlasmaTurret, 1] = '\c0%1 wonders what all those pretty blue lights are.';
$DeathMessageTurretKill[$DamageType::PlasmaTurret, 2] = '\c0%1 is fried by a plasma turret.';

$DeathMessageTurretKill[$DamageType::AATurret, 0] = '\c0%1 is killed by an AA turret.';
$DeathMessageTurretKill[$DamageType::AATurret, 1] = '\c0%1 is shot down by an AA turret.';
$DeathMessageTurretKill[$DamageType::AATurret, 2] = '\c0%1 takes fatal flak from an AA turret.';

$DeathMessageTurretKill[$DamageType::ElfTurret, 0] = '\c0%1 is killed by an ELF turret.';
$DeathMessageTurretKill[$DamageType::ElfTurret, 1] = '\c0%1 is zapped by an ELF turret.';
$DeathMessageTurretKill[$DamageType::ElfTurret, 2] = '\c0%1 is short-circuited by an ELF turret.';

$DeathMessageTurretKill[$DamageType::MortarTurret, 0] = '\c0%1 is killed by a mortar turret.';
$DeathMessageTurretKill[$DamageType::MortarTurret, 1] = '\c0%1 enjoys a mortar turret\'s attention.';
$DeathMessageTurretKill[$DamageType::MortarTurret, 2] = '\c0%1 is blown to kibble by a mortar turret.';

$DeathMessageTurretKill[$DamageType::MissileTurret, 0] = '\c0%1 is killed by a missile turret.';
$DeathMessageTurretKill[$DamageType::MissileTurret, 1] = '\c0%1 is shot down by a missile turret.';
$DeathMessageTurretKill[$DamageType::MissileTurret, 2] = '\c0%1 is blown away by a missile turret.';

$DeathMessageTurretKill[$DamageType::IndoorDepTurret, 0] = '\c0%1 is killed by a clamp turret.';
$DeathMessageTurretKill[$DamageType::IndoorDepTurret, 1] = '\c0%1 gets burned by a clamp turret.';
$DeathMessageTurretKill[$DamageType::IndoorDepTurret, 2] = '\c0A clamp turret eliminates %1.';

$DeathMessageTurretKill[$DamageType::OutdoorDepTurret, 0] = '\c0A spike turret neatly drills %1.';
$DeathMessageTurretKill[$DamageType::OutdoorDepTurret, 1] = '\c0%1 gets taken out by a spike turret.';
$DeathMessageTurretKill[$DamageType::OutdoorDepTurret, 2] = '\c0%1 dies under a spike turret\'s love.';

$DeathMessageTurretKill[$DamageType::SentryTurret, 0] = '\c0%1 didn\'t see that Sentry turret, but it saw %2...';
$DeathMessageTurretKill[$DamageType::SentryTurret, 1] = '\c0%1 needs to watch for Sentry turrets.';
$DeathMessageTurretKill[$DamageType::SentryTurret, 2] = '\c0%1 now understands how Sentry turrets work.';

$DeathMessageTurretKill[$DamageType::Phaser, 0] = '\c0%4 melts %1 with %6 Phaser Compression Rifle.';
$DeathMessageTurretKill[$DamageType::Phaser, 1] = '\c0%4 says to %1: "You zigged when you should have zagged".';
$DeathMessageTurretKill[$DamageType::Phaser, 2] = '\c0%1 is the victim of a high-intensity phaser blast.';

$DeathMessageTurretKill[$DamageType::vPhaser, 0] = '\c0%4 melts %1 with %6 Phaser Compression Rifle.';
$DeathMessageTurretKill[$DamageType::vPhaser, 1] = '\c0%4 says to %1: "You zigged when you should have zagged".';
$DeathMessageTurretKill[$DamageType::vPhaser, 2] = '\c0%1 is the victim of a high-intensity phaser blast.';

$DeathMessageTurretKill[$DamageType::MB, 0] = '\c0%1 is the victim of %4\'s Mitzi Blast.';
$DeathMessageTurretKill[$DamageType::MB, 1] = '\c0%4 shows the true power of a little doggie.';
$DeathMessageTurretKill[$DamageType::MB, 2] = '\c0%4 stops %1 dead with the Mitzi Blast Cannon.';

$DeathMessageTurretKill[$DamageType::vMB, 0] = '\c0%1 is the victim of %4\'s Mitzi Blast.';
$DeathMessageTurretKill[$DamageType::vMB, 1] = '\c0%4 shows the true power of a little doggie.';
$DeathMessageTurretKill[$DamageType::vMB, 2] = '\c0%4 stops %1 dead with the Mitzi Blast Cannon.';

$DeathMessageTurretKill[$DamageType::Bullet, 0] = '\c0%4 happily chews %1 into pieces with %6 chaingun.';
$DeathMessageTurretKill[$DamageType::Bullet, 1] = '\c0%4 administers a dose of Vitamin Lead to %1.';
$DeathMessageTurretKill[$DamageType::Bullet, 2] = '\c0%1 suffers a serious hosing from %4\'s chaingun.';

//used when a player is killed by a teammate controlling a turret
$DeathMessageCTurretTeamKillCount = 1;	
$DeathMessageCTurretTeamKill[$DamageType::PlasmaTurret, 0] = '\c0%4 TEAMKILLED %1 with a plasma turret!';

$DeathMessageCTurretTeamKill[$DamageType::AATurret, 0] = '\c0%4 TEAMKILLED %1 with an AA turret!';

$DeathMessageCTurretTeamKill[$DamageType::ELFTurret, 0] = '\c0%4 TEAMKILLED %1 with an ELF turret!';

$DeathMessageCTurretTeamKill[$DamageType::MortarTurret, 0] = '\c0%4 TEAMKILLED %1 with a mortar turret!';

$DeathMessageCTurretTeamKill[$DamageType::MissileTurret, 0] = '\c0%4 TEAMKILLED %1 with a missile turret!';

$DeathMessageCTurretTeamKill[$DamageType::IndoorDepTurret, 0] = '\c0%4 TEAMKILLED %1 with a clamp turret!';

$DeathMessageCTurretTeamKill[$DamageType::OutdoorDepTurret, 0] = '\c0%4 TEAMKILLED %1 with a spike turret!';

$DeathMessageCTurretTeamKill[$DamageType::SentryTurret, 0] = '\c0%4 TEAMKILLED %1 with a sentry turret!';

$DeathMessageCTurretTeamKill[$DamageType::BomberBombs, 0] = '\c0%4 TEAMKILLED %1 in a bombastic explosion of raining death.';

$DeathMessageCTurretTeamKill[$DamageType::BellyTurret, 0] = '\c0%4 TEAMKILLED %1 by a pulse blast.';

$DeathMessageCTurretTeamKill[$DamageType::TankChainGun, 0] = '\c0%4 TEAMKILLED %1 with his tank\'s chaingun.';

$DeathMessageCTurretTeamKill[$DamageType::TankMortar, 0] = '\c0%4 TEAMKILLED %1 by lobbing the BIG green death from a tank.'; 

$DeathMessageCTurretTeamKill[$DamageType::ShrikeBlaster, 0] = '\c0%4 TEAMKILLED %1 by strafing from a Shrike.';

$DeathMessageCTurretTeamKill[$DamageType::MPBMissile, 0] = '\c0%4 TEAMKILLED %1 when the MPB locked onto him.';

 

//used when a player is killed by an uncontrolled, friendly turret
$DeathMessageCTurretAccdtlKillCount = 1; 
$DeathMessageCTurretAccdtlKill[$DamageType::PlasmaTurret, 0] = '\c0%1 got in the way of a plasma turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::AATurret, 0] = '\c0%1 got in the way of an AA turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::ELFTurret, 0] = '\c0%1 got in the way of an ELF turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::MortarTurret, 0] = '\c0%1 got in the way of a mortar turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::MissileTurret, 0] = '\c0%1 got in the way of a missile turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::IndoorDepTurret, 0] = '\c0%1 got in the way of a clamp turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::OutdoorDepTurret, 0] = '\c0%1 got in the way of a spike turret!';

$DeathMessageCTurretAccdtlKill[$DamageType::SentryTurret, 0] = '\c0%1 got in the way of a Sentry turret!';


//these messages for owned or controlled turrets
$DeathMessageCTurretKillCount = 3;
$DeathMessageCTurretKill[$DamageType::PlasmaTurret, 0] = '\c0%4 torches %1 with a plasma turret!'; 
$DeathMessageCTurretKill[$DamageType::PlasmaTurret, 1] = '\c0%4 fries %1 with a plasma turret!';
$DeathMessageCTurretKill[$DamageType::PlasmaTurret, 2] = '\c0%4 lights up %1 with a plasma turret!';

$DeathMessageCTurretKill[$DamageType::AATurret, 0] = '\c0%4 shoots down %1 with an AA turret.';
$DeathMessageCTurretKill[$DamageType::AATurret, 1] = '\c0%1 gets shot down by %1\'s AA turret.';
$DeathMessageCTurretKill[$DamageType::AATurret, 2] = '\c0%4 takes out %1 with an AA turret.';

$DeathMessageCTurretKill[$DamageType::ElfTurret, 0] = '\c0%1 gets zapped by ELF gunner %4.';
$DeathMessageCTurretKill[$DamageType::ElfTurret, 1] = '\c0%1 gets barbecued by ELF gunner %4.';
$DeathMessageCTurretKill[$DamageType::ElfTurret, 2] = '\c0%1 gets shocked by ELF gunner %4.';

$DeathMessageCTurretKill[$DamageType::MortarTurret, 0] = '\c0%1 is annihilated by %4\'s mortar turret.';
$DeathMessageCTurretKill[$DamageType::MortarTurret, 1] = '\c0%1 is blown away by %4\'s mortar turret.';
$DeathMessageCTurretKill[$DamageType::MortarTurret, 2] = '\c0%1 is pureed by %4\'s mortar turret.';

$DeathMessageCTurretKill[$DamageType::Annihalator, 0] = '\c0%4 nukes %1 with %6 Annihalator Bomb.';
$DeathMessageCTurretKill[$DamageType::Annihalator, 1] = '\c0%1 is broken down into %3 component atoms by %4\'s Annihalator Bomb.';
$DeathMessageCTurretKill[$DamageType::Annihalator, 2] = '\c0%4 used the force on %1.';

$DeathMessageCTurretKill[$DamageType::MissileTurret, 0] = '\c0%4 shows %1 a new world of pain with a missile turret.';
$DeathMessageCTurretKill[$DamageType::MissileTurret, 1] = '\c0%4 pops %1 with a missile turret.';
$DeathMessageCTurretKill[$DamageType::MissileTurret, 2] = '\c0%4\'s missile turret lights up %1\'s, uh, ex-life.';

$DeathMessageCTurretKill[$DamageType::IndoorDepTurret, 0] = '\c0%1 is chewed up and spat out by %4\'s clamp turret.';
$DeathMessageCTurretKill[$DamageType::IndoorDepTurret, 1] = '\c0%1 is knocked out by %4\'s clamp turret.';
$DeathMessageCTurretKill[$DamageType::IndoorDepTurret, 2] = '\c0%4\'s clamp turret drills %1 nicely.';

$DeathMessageCTurretKill[$DamageType::OutdoorDepTurret, 0] = '\c0%1 is chewed up by %4\'s spike turret.';
$DeathMessageCTurretKill[$DamageType::OutdoorDepTurret, 1] = '\c0%1 feels the burn from %4\'s spike turret.';
$DeathMessageCTurretKill[$DamageType::OutdoorDepTurret, 2] = '\c0%1 is nailed by %4\'s spike turret.';

$DeathMessageCTurretKill[$DamageType::PBW, 0] = '\c0%4 gives %1 the Smackdown with %3 PBW.';
$DeathMessageCTurretKill[$DamageType::PBW, 1] = '\c0%4 punches that fatal hole through %1.';
$DeathMessageCTurretKill[$DamageType::PBW, 2] = '\c0%4 blasts %1 to tiny bits.';

$DeathMessageCTurretKill[$DamageType::SentryTurret, 0] = '\c0%4 caught %1 by surprise with a turret.';
$DeathMessageCTurretKill[$DamageType::SentryTurret, 1] = '\c0%4\'s turret took out %1.';
$DeathMessageCTurretKill[$DamageType::SentryTurret, 2] = '\c0%4 blasted %1 with a turret.';

$DeathMessageCTurretKill[$DamageType::BomberBombs, 0] = '\c0%1 catches %4\'s bomb in both teeth.'; 
$DeathMessageCTurretKill[$DamageType::BomberBombs, 1] = '\c0%4 leaves %1 a smoking bomb crater.'; 
$DeathMessageCTurretKill[$DamageType::BomberBombs, 2] = '\c0%4 bombs %1 back to the 20th century.';

$DeathMessageCTurretKill[$DamageType::BellyTurret, 0] = '\c0%1 eats a big helping of %4\'s pulse bolt.';
$DeathMessageCTurretKill[$DamageType::BellyTurret, 1] = '\c0%4 plants a pulse bolt in %1\'s belly.';
$DeathMessageCTurretKill[$DamageType::BellyTurret, 2] = '\c0%1 fails to evade %4\'s deft pulse cannon barrage.';

$DeathMessageCTurretKill[$DamageType::TankChainGun, 0] = '\c0%1 enjoys the rich, metallic taste of %4\'s tank slug.';
$DeathMessageCTurretKill[$DamageType::TankChainGun, 1] = '\c0%4\'s tank chaingun plays sweet music all over %1.';
$DeathMessageCTurretKill[$DamageType::TankChainGun, 2] = '\c0%1 receives a stellar exit wound from %4\'s tank slug.';

$DeathMessageCTurretKill[$DamageType::TankMortars, 0] = '\c0Whoops! %1 + %4\'s tank mortar = Dead %1.';
$DeathMessageCTurretKill[$DamageType::TankMortars, 1] = '\c0%1 learns the happy explosion dance from %4\'s tank mortar.';
$DeathMessageCTurretKill[$DamageType::TankMortars, 2] = '\c0%4\'s tank mortar has a blast with %1.';

$DeathMessageCTurretKill[$DamageType::TankMortar, 0] = '\c0Whoops! %1 + %4\'s tank mortar = Dead %1.';
$DeathMessageCTurretKill[$DamageType::TankMortar, 1] = '\c0%1 learns the happy explosion dance from %4\'s tank mortar.';
$DeathMessageCTurretKill[$DamageType::TankMortar, 2] = '\c0%4\'s tank mortar has a blast with %1.';

$DeathMessageCTurretKill[$DamageType::Mortar, 0] = '\c0%4 obliterates %1 with the mortar.';
$DeathMessageCTurretKill[$DamageType::Mortar, 1] = '\c0%4 offers a little "heavy love" to %1.';
$DeathMessageCTurretKill[$DamageType::Mortar, 2] = '\c0%1 stumbles into %4\'s mortar reticle.';

$DeathMessageCTurretKill[$DamageType::ShrikeBlaster, 0] = '\c0%1 lunches on a Shrike blaster sandwich, courtesy of %4.';
$DeathMessageCTurretKill[$DamageType::ShrikeBlaster, 1] = '\c0%4\'s Shrike blaster catches %1 with %3 pants down.';
$DeathMessageCTurretKill[$DamageType::ShrikeBlaster, 2] = '\c0%1 gets drilled big-time by %4\'s Shrike blaster.';

$DeathMessageCTurretKill[$DamageType::MPBMissile, 0] = '\c0%1 intersects nicely with %4\'s MPB Missile.';
$DeathMessageCTurretKill[$DamageType::MPBMissile, 1] = '\c0%4\'s MPB Missile makes armored chowder out of %1.';
$DeathMessageCTurretKill[$DamageType::MPBMissile, 2] = '\c0%1 has a brief, explosive fling with %4\'s MPB Missile.';

$DeathMessageCTurretKill[$DamageType::Gauss, 0] = '\c0%4 shreds %1 up with the gauss.';
$DeathMessageCTurretKill[$DamageType::Gauss, 1] = '\c0%4 happily blows %1 into pieces with %6 gauss.';
$DeathMessageCTurretKill[$DamageType::Gauss, 2] = '\c0%1 suffers a serious hosing from %4\'s gauss.';

$DeathMessageCTurretKill[$DamageType::Phaser, 0] = '\c0%4 melts %1 with %6 Phaser Compression Rifle.';
$DeathMessageCTurretKill[$DamageType::Phaser, 1] = '\c0%4 says to %1: "You zigged when you should have zagged".';
$DeathMessageCTurretKill[$DamageType::Phaser, 2] = '\c0%1 is the victim of a high-intensity phaser blast.';

$DeathMessageCTurretKill[$DamageType::vPhaser, 0] = '\c0%4 melts %1 with %6 Phaser Compression Rifle.';
$DeathMessageCTurretKill[$DamageType::vPhaser, 1] = '\c0%4 says to %1: "You zigged when you should have zagged".';
$DeathMessageCTurretKill[$DamageType::vPhaser, 2] = '\c0%1 is the victim of a high-intensity phaser blast.';

$DeathMessageCTurretKill[$DamageType::MB, 0] = '\c0%1 is the victim of %4\'s Mitzi Blast.';
$DeathMessageCTurretKill[$DamageType::MB, 1] = '\c0%4 shows the true power of a little doggie.';
$DeathMessageCTurretKill[$DamageType::MB, 2] = '\c0%4 stops %1 dead with the Mitzi Blast Cannon.';

$DeathMessageCTurretKill[$DamageType::vMB, 0] = '\c0%1 is the victim of %4\'s Mitzi Blast.';
$DeathMessageCTurretKill[$DamageType::vMB, 1] = '\c0%4 shows the true power of a little doggie.';
$DeathMessageCTurretKill[$DamageType::vMB, 2] = '\c0%4 stops %1 dead with the Mitzi Blast Cannon.';

$DeathMessageCTurretKill[$DamageType::Missile, 0] = '\c0%1 rides %4\'s rocket.';
$DeathMessageCTurretKill[$DamageType::Missile, 1] = '\c0%1 gets buttraped by %4\'s missile.';
$DeathMessageCTurretKill[$DamageType::Missile, 2] = '\c0%4\'s missile rains little pieces of %1 all over the ground.';

$DeathMessageCTurretKill[$DamageType::Disc, 0] = '\c0%4 demolishes %1 with the spinfusor.';
$DeathMessageCTurretKill[$DamageType::Disc, 1] = '\c0%4 serves %1 a blue plate special.';
$DeathMessageCTurretKill[$DamageType::Disc, 2] = '\c0%4 shares a little blue friend with %1.';

$DeathMessageCTurretKill[$DamageType::PlasmaCannon, 0] = '\c0%4 roasts %1 with the plasma cannon.';
$DeathMessageCTurretKill[$DamageType::PlasmaCannon, 1] = '\c0%4 introduces %1 to the plasma immolation dance.';
$DeathMessageCTurretKill[$DamageType::PlasmaCannon, 2] = '\c0%4 slaps The Hot Kiss of Death on %1.';

$DeathMessageCTurretKill[$DamageType::vPlasma, 0] = '\c0%4 roasts %1 with the plasma cannon.';
$DeathMessageCTurretKill[$DamageType::vPlasma, 1] = '\c0%4 introduces %1 to the plasma immolation dance.';
$DeathMessageCTurretKill[$DamageType::vPlasma, 2] = '\c0%4 slaps The Hot Kiss of Death on %1.';

$DeathMessageCTurretKill[$DamageType::Plasma, 0] = '\c0%4 roasts %1 with the plasma rifle.';
$DeathMessageCTurretKill[$DamageType::Plasma, 1] = '\c0%4 asks %1: "Need a light?"';
$DeathMessageCTurretKill[$DamageType::Plasma, 2] = '\c0%4 entices %1 to try a faceful of plasma.';

$DeathMessageCTurretKill[$DamageType::Bullet, 0] = '\c0%4 rips %1 up with the chaingun.';
$DeathMessageCTurretKill[$DamageType::Bullet, 1] = '\c0%4 happily chews %1 into pieces with %6 chaingun.';
$DeathMessageCTurretKill[$DamageType::Bullet, 2] = '\c0%4 administers a dose of Vitamin Lead to %1.';

$DeathMessageTurretSelfKillCount = 3;
$DeathMessageTurretSelfKill[0] = '\c0%1 somehow kills %2self with a turret.';
$DeathMessageTurretSelfKill[1] = '\c0%1 apparently didn\'t know the turret was loaded.';
$DeathMessageTurretSelfKill[2] = '\c0%1 helps his team by killing himself with a turret.';



