// ------------------------------------------------------------------
// Magnetic Ion Reactor Pack

datablock ShapeBaseImageData(MagIonPackImage)
{
   shapeFile = "pack_upgrade_satchel.dts";
   item = MagIonPack;
   mountPoint = 1;
   offset = "0 0 0";

	stateName[0] = "default";
	stateSequence[0] = "activation";
};

datablock ItemData(MagIonPack)
{
   className = Pack;
   catagory = "Packs";
   shapeFile = "pack_upgrade_satchel.dts";
   mass = 1;
   elasticity = 0.2;
   friction = 0.6;
   pickupRadius = 2;
   rotate = true;
   image = "MagIonPackImage";
   pickUpName = "a reactor";
};

function MagIonPackImage::onMount(%data, %obj, %node)
{
     %obj.enPack = true;
	%obj.setRechargeRate(0.575);
}

function MagIonPackImage::onUnmount(%data, %obj, %node)
{
     %obj.enPack = false;
	%obj.setRechargeRate(%obj.getRechargeRate() - %obj.enpackRate);     // enpack bug
}

function MagIonPack::onPickup(%this, %obj, %shape, %amount)
{
   // created to prevent console errors
}
