// ------------------------------------------------------------------
// Teamchat Tapper Pack

datablock ShapeBaseImageData(TeamchatPackImage)
{
   shapeFile = "pack_upgrade_satchel.dts";
   item = TeamchatPack;
   mountPoint = 1;
   offset = "0 0 0";

	stateName[0] = "default";
	stateSequence[0] = "activation";
};

datablock ItemData(TeamchatPack)
{
   className = Pack;
   catagory = "Packs";
   shapeFile = "pack_upgrade_satchel.dts";
   mass = 1;
   elasticity = 0.2;
   friction = 0.6;
   pickupRadius = 2;
   rotate = true;
   image = "TeamchatPackImage";
	pickUpName = "a teamchat tapper pack";
};

function TeamchatPackImage::onMount(%data, %obj, %node)
{
	%obj.tapsTeam = true;
}

function TeamchatPackImage::onUnmount(%data, %obj, %node)
{
     %obj.tapsTeam = false;
}

function TeamchatPack::onPickup(%this, %obj, %shape, %amount)
{
	// created to prevent console errors
}

